ChiliProject - Bug # 927: Reposman script problem

Status: Closed Priority: Normal
Author: Simon Stearn Category:
Created: 2012-03-09 Assignee:
Updated: 2012-03-27 Due date:

Remote issue URL:
Affected version:
Description: The Project class used to be defined (round about line 190+) as:

class Project < ActiveResource::Base
self.headers["User-agent"] = "Redmine repository manager/#{Version}"
self.format = :xml0

end

However the :ml format setting has gone (at least in 3.0.0) which has the effect that the script barfs on XML
returned from /sys. The fix (in our environment using subversion etc) is to revert to the above definition.

Associated revisions

2008-03-27 08:27 pm - Jean-Philippe Lang

Translation updates: (closes #915, #927, #929, #923, #914, #919)
* Japanese (Satoru Kurashiki)

* Simplified Chinese (chaoqun zou)

* Danish (kim madsen)

* Norwegian (Kai Olav Fredriksen)

* Traditional Chinese (shortie Io)

* German (Sven Schuchmann)

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1300 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2012-03-09 12:31 pm - Simon Stearn

Sorry, last line should read -

However the _:xml_ format setting has gone (at least in 3.0.0) which has the effect that the script barfs on XML returned from /sys. The fix (in our

environment using subversion etc) is to revert to the above definition.

2012-03-15 11:56 pm - Felix Schafer

Hello Simon,

| can't find anywhere in the near history that that line was ever present, could you point me to your source?

2012-03-26 04:03 pm - Simon Stearn
Felix

Sorry for the slow reply. | am not 100% on exactly what | was looking at when | worked on this. | suspect | was actually looking at redmine repository
which of course will be different. Checkout line 195 here:

http://www.redmine.org/projects/redmine/repository/entry/branches/1.3-stable/extra/svn/reposman.rb
2012-03-27 10:53 am - Felix Schafer
- Target version set to 3.1.0

- Status changed from Open to Closed

I've been able to reproduce this in an IRB session and have merged the fix from Redmine, thanks for reporting!

Committed in commit:20a7912
